/*  XMPS - X MPEG Player System
 *  Copyright (C) 1999 Damien Chavarria
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/**
 *  skins_draw_digits.h
 *
 *  Functions for handling the digits.xpm
 *  @Author : Damien Chavarria (1999)
 *
 */

#ifndef _XMPS_DIGITS_H
#define _XMPS_DIGITS_H

/* INCLUDES */

#include "xmps_graphics.h"
#include "skins_pixmaps.h"
#include "libxmps/libxmps.h"
#include "libxmpsutils/libxmpsutils.h"

/* FUNCTIONS */

void draw_loop_digit(gint state, GtkWidget *widget);
/* draw the loop digit */
void draw_minus_digit(gint state, GtkWidget *widget);
/* draw the minus digit */
void draw_digit(gint value, gint position, GtkWidget *widget);
/* draw a particular digit - never used alone */
void draw_time(gint time, GtkWidget *widget);
/* draw a time given in millisecs */
void draw_small_digit(gint value, gint position, GtkWidget *widget);
/* draw a particular digit - never used alone */
void draw_small_time(gint time, GtkWidget *widget);
/* draw a time given in millisecs */
void draw_file_name(GtkWidget *widget, char * name);
/* draws the current mpeg file name */

#endif
